using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Domain
{
    public class HotelAirControl
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
		/// <summary>
		/// 所属酒店
		/// </summary>
        public virtual SysHotel SysHotel
		{
			get;
			set;
		}
        /// <summary>
        /// 条件：1出租后，2取电后，3断电后
        /// </summary>
        public virtual int ConditionType
        {
            get;
            set;
        }
        /// <summary>
        /// 季节：1春，2夏，3冬
        /// </summary>
        public virtual int Season
        {
            get;
            set;
        }
        /// <summary>
        /// 启用：1是，0否
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 状态：1开，2关
        /// </summary>
        public virtual int Status
        {
            get;
            set;
        }
        /// <summary>
        /// 设定温度
        /// </summary>
        public virtual int SettingTemp
        {
            get;
            set;
        }
        /// <summary>
        /// 模式：1制冷，2制热，3送风
        /// </summary>
        public virtual int Mode
        {
            get;
            set;
        }
        /// <summary>
        /// 风速：0自动，1低，2中，3高
        /// </summary>
        public virtual int FanSpeed
        {
            get;
            set;
        }
        /// <summary>
        /// 修改时间
        /// </summary>
        public virtual DateTime ModifiedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 延时时间（单位：秒）
        /// </summary>
        public virtual int DelayTime
        {
            get;
            set;
        }
    }
}